﻿using EPiServer.ServiceLocation;
using Fotoware.Plugins.Optimizely;
using Fotoware.Plugins.Optimizely.Interfaces;
using System;

namespace AlloyTemplates.FotoWare
{
    //Example of config implementation for Fotoware.
    //Implement IFotoWareConfig for site specific config
    //uncomment this ServiceConfiguration
    //[ServiceConfiguration(typeof(IFotoWareConfig))]
    public class ExampleFotoWareSite1Config : IFotoWareConfig
    {
        public IFotoWareSettings Settings => new ExampleSiteOneFotoWareSettings();

        public Guid SiteId => new Guid("76ed051c-0654-41d4-b755-91886fcdeb8c");//Change this from Episerver / admin / config / websites
    }
    //uncomment this ServiceConfiguration
    //[ServiceConfiguration(typeof(IFotoWareConfig))]
    public class ExampleFotoWareSite2Config : IFotoWareConfig
    {
        public IFotoWareSettings Settings => new ExampleSiteTwoFotoWareSettings();

        public Guid SiteId => new Guid("b3ab8217-f04f-472d-ac80-059c5dd4de46");//Change this 
    }
}